Ogre::RenderQueue::RenderQueueGroupMap::iterator Class Reference

`#include <OgreRenderQueue.h>`

List of all members.

## Public Member Functions

| iterator ()
| iterator (const RenderQueueGroupMap *_mRenderQueueGroupMap, uint8 _index)
const_reference | operator* () const
const_pointer | operator-> () const
iterator & | operator++ ()
const iterator & | operator++ () const
iterator | operator++ (int)
const iterator | operator++ (int) const
bool | operator!= (const iterator &o) const
bool | operator== (const iterator &o) const

## Protected Attributes

const RenderQueueGroupMap * | mRenderQueueGroupMap
uint8 | mIndex

## Friends

class | RenderQueueGroupMap

## Detailed Description

Definition at line 122 of file OgreRenderQueue.h.

## Constructor & Destructor Documentation

Ogre::RenderQueue::RenderQueueGroupMap::iterator::iterator | ( |  | ) |

Definition at line 127 of file OgreRenderQueue.h.

Ogre::RenderQueue::RenderQueueGroupMap::iterator::iterator | ( | const RenderQueueGroupMap * | _mRenderQueueGroupMap,
|  | uint8 | _index
| ) |  |

Definition at line 131 of file OgreRenderQueue.h.

## Member Function Documentation

bool Ogre::RenderQueue::RenderQueueGroupMap::iterator::operator!= | ( | const iterator & | o | ) | const

Definition at line 211 of file OgreRenderQueue.h.

References mIndex, and mRenderQueueGroupMap.

const_reference Ogre::RenderQueue::RenderQueueGroupMap::iterator::operator* | ( |  | ) | const

Definition at line 135 of file OgreRenderQueue.h.

iterator& Ogre::RenderQueue::RenderQueueGroupMap::iterator::operator++ | ( | void |  | ) |

Definition at line 149 of file OgreRenderQueue.h.

const iterator& Ogre::RenderQueue::RenderQueueGroupMap::iterator::operator++ | ( | void |  | ) | const

Definition at line 164 of file OgreRenderQueue.h.

iterator Ogre::RenderQueue::RenderQueueGroupMap::iterator::operator++ | ( | int |  | ) |

Definition at line 179 of file OgreRenderQueue.h.

const iterator Ogre::RenderQueue::RenderQueueGroupMap::iterator::operator++ | ( | int |  | ) | const

Definition at line 195 of file OgreRenderQueue.h.

const_pointer Ogre::RenderQueue::RenderQueueGroupMap::iterator::operator-> | ( |  | ) | const

Definition at line 142 of file OgreRenderQueue.h.

bool Ogre::RenderQueue::RenderQueueGroupMap::iterator::operator== | ( | const iterator & | o | ) | const

Definition at line 221 of file OgreRenderQueue.h.

References mIndex, and mRenderQueueGroupMap.

## Friends And Related Function Documentation

friend class RenderQueueGroupMap`[friend]`

Definition at line 124 of file OgreRenderQueue.h.

## Member Data Documentation

uint8 Ogre::RenderQueue::RenderQueueGroupMap::iterator::mIndex`[mutable, protected]`

Definition at line 234 of file OgreRenderQueue.h.

Referenced by operator!=(), and operator==().

const RenderQueueGroupMap* Ogre::RenderQueue::RenderQueueGroupMap::iterator::mRenderQueueGroupMap`[protected]`

Definition at line 233 of file OgreRenderQueue.h.

Referenced by operator!=(), and operator==().

The documentation for this class was generated from the following file:

- OgreRenderQueue.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:35